package org.gcube.portlets.user.geoportaldataentry.client;

import java.util.Arrays;
import java.util.List;

import org.gcube.application.geoportalcommon.shared.geoportal.ucd.GEOPORTAL_DATA_HANDLER;
import org.gcube.application.geoportalcommon.shared.geoportal.ucd.HandlerDeclarationDV;
import org.gcube.application.geoportalcommon.shared.geoportal.ucd.UseCaseDescriptorDV;
import org.gcube.portlets.widgets.mpformbuilder.client.ConstantsMPFormBuilder;

import com.google.gwt.core.client.GWT;

/**
 * The Class ConstantsGeoPortalDataEntryApp.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
 * 
 *         Aug 6, 2021
 */
public class ConstantsGeoPortalDataEntryApp {

	public static final String DATE_FORMAT = ConstantsMPFormBuilder.DATE_FORMAT;

	public static final String TIME_FORMAT = ConstantsMPFormBuilder.TIME_FORMAT;

	public static final String HOURS_MINUTES_SEPARATOR = ConstantsMPFormBuilder.HOURS_MINUTES_SEPARATOR;

	public static final int MAX_COLUMN_DISPLAYED_IN_THE_TABLE = 5;
	
	public static final int PAGINATION_SIZE = 20;

	/**
	 * The Enum RECORD_TYPE.
	 *
	 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
	 * 
	 *         Aug 6, 2021
	 */
	public enum RECORD_TYPE {
		CONCESSIONE
	}

	/**
	 * The Enum ACTION_PERFORMED_ON_ITEM.
	 *
	 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
	 * 
	 *         Nov 25, 2021
	 */
	public enum ACTION_PERFORMED_ON_ITEM {
		UPDATED_PROJECT
	}

	public static final List<String> HANDLERS_IDS = Arrays.asList(GEOPORTAL_DATA_HANDLER.geoportal_data_list.getId(),
			GEOPORTAL_DATA_HANDLER.geoportal_data_entry.getId());

	public static void printUCDs(List<UseCaseDescriptorDV> listUCDescriptors) {
		GWT.log("print - UCDs");
		for (UseCaseDescriptorDV useCaseDescriptorDV : listUCDescriptors) {
			GWT.log("print UCD name: " + useCaseDescriptorDV.getName() + ", profileID: "
					+ useCaseDescriptorDV.getProfileID());
			for (HandlerDeclarationDV handler : useCaseDescriptorDV.getHandlers()) {
				GWT.log("\t print handler getDataHandlerType: " + handler.getDataHandlerType() + ", type: "
						+ handler.getType());
			}
		}
	}
}
